<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSipUserTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('sip_user', function(Blueprint $table)
		{
			$table->increments('id');
			$table->string('mac', 32)->unique()->index();
			$table->string('sip_id')->index();
			$table->string('password')->default('');
			$table->string('controller_id')->index();
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		//Schema::drop('sip_user');
	}

}
